URPMQ(1)

NAME
urpmq - urpmi database query tool.

SYNOPSIS
    urpmq [options] [package_names | rpm_files...]

DESCRIPTION
urpmq is a tool to access and query the urpmi database. It can be used to list available packages in the various urpmi media, or to list the full dependencies of a package, or to list the packages that will be installed if you start urpmi. The output of urpmq has the following format, adjusted according to the command-line options that were used:

    [group/]package_name[-version][-release][.arch]

OPTIONS

-h, -?, --help
    Prints a help message and exit.

-v, --verbose
    Activate verbose mode.

--force
    Continue when requesting packages that are not available.

  Operation Modes

--list
    List available packages.

--list-media [type]
    List available media. You can optionally add a type selector: all to list all media (the default), update to list the update media, or active to list only active media.

--list-url
    List available media and their URLs.

--list-nodes
    List available nodes for parallel installation (when using --parallel).

--list-aliases
    List available parallel aliases.

  Package Selection

--auto-select
    Select all packages that can be upgraded, according to already installed packages and packages listed in various registered media.

--auto-orphans
    List orphans.

--not-available
    List packages that are not available on any media. This can help to find packages that are still installed but that are now obsolete because they have been removed from the current version of Mageia Linux.

--no-recommends
    With this option, urpmq will not require "recommended" packages. By default, urpmq will require (newly) recommended packages.

--allow-recommends
    With this option, urpmi will install "recommended" packages. This is useful if you have "no-recommends" in urpmi.cfg.

--keep
    When some dependencies cannot be satisfied, change the selection of packages to try to keep existing packages instead of removing them. This behaviour generally rejects the upgrade of packages given on command line (or when using --auto-select) when a dependency error occurs.

-y, --fuzzy
    Disable fast search on exact package name; i.e. it will propose all packages matching the name partially, even if one of them matches exactly the specified name.

-Y  Like -y/--fuzzy, but forces to match case-insensitively.

-s, --src name
    Search a source package matching name and it will select all dependencies by default.

--ignorearch
    Allow to search packages whose architecture isn't compatible with the architecture of the host.

-u  Deselect packages if a better version is already installed.

-m  Equivalent to -du.

-a  Select all matches on command line; that's useful when one gives an incomplete package name and when using -f or -r.

-c  If maximal closure is used, assume that a package listed may have wrong or not up-to-date dependencies. This causes more packages to be upgraded and may correct unresolved dependencies on the rpm database.

-p, --whatprovides
    Search in provides to find package.

--whatrequires
    Reverse search to what requires the package given.

--whatrequires-recursive
    Reverse search to what requires recursively the package given (looking through virtual packages).

  Output Options

-i  Prints useful information in human readable form, as for rpm -qi.

-g  Prints groups of each package listed.

-r  Prints also version and release of each package listed.

-f  Prints also version, release and arch of each package listed.

-l  Lists files in packages.

--changelog
    Prints the package changelog.

--conflicts
    Prints the package conflicts.

--obsoletes
    Prints the package obsoletes.

--provides
    Prints the package provides.

--requires
    Prints the package requires.

--recommends
    Prints the package recommends.

--sources
    Prints source URLs (or file names) of all selected packages.

--sourcerpm
    Prints the sourcerpm of the package

-S, --summary
    Prints concise information about the package.

-d, --requires-recursive
    Print dependencies (maximal closure).

  Media Selection

--update
    Use only update media. This means that urpmq will search and resolve dependencies only in media marked as containing updates (e.g. which have been created with "urpmi.addmedia --update").

--media media1,...,mediaN
    Select specific media to be used, instead of defaulting to all available media (or all update media if --update is used). No rpm will be found in other media.

--excludemedia media1,...,mediaN
    Do not use the specified media.

--searchmedia media
    Use only the specified media to search for packages that are specified on the command-line, or which are found when using --auto-select. Dependencies of those packages can still be found in other media.

--sortmedia media1,...,mediaN
    Sort the specified media. Substrings may be used to simplify grouping. This way, "media1" will be taken into account first, then "media2", and so on. Media which aren't listed are taken into account after the others.

--synthesis file
    Use the specified synthesis file instead of the urpmi database for searching packages and resolving dependencies.

--parallel alias
    Activate distributed execution of urpmi to other machines (it is mandatory that urpmi is installed but it is not necessary to have media defined on any machines). alias defines which extension module to use by urpmi (currently urpmi-parallel-ka-run or urpmi-parallel-ssh) and which machines should be updated, this alias is defined in the file /etc/urpmi/parallel.cfg as described below.

--root directory
    Use the file system tree rooted for rpm install. All operations and scripts will run after chroot(2). The rpm database in the rooted tree will be used but urpmi configuration comes from normal system.

--urpmi-root directory
    Use the file system tree rooted for urpmi database and rpm install. Contrary to --root, the urpmi configuration comes from the rooted tree.

--use-distrib directory
    Configure urpmq on the fly from a distribution tree.

--skip pattern,...
    You can specify a list of packages which installation should be skipped. You can also include patterns between //, just like in /etc/urpmi/skip.list (see urpmi.files(5)).

--prefer pattern,...
    You can specify a list of packages which installation should be preferred (especially useful with --auto). You can also include patterns between //, just like in /etc/urpmi/prefer.list (see urpmi.files(5)).

  Download Options

--wget
    Use wget for downloading distant files. By default curl is used if available, or wget instead.

--curl
    Use curl for downloading distant files. By default curl is used if available, or wget instead.

--curl-options 'options'
--rsync-options 'options'
--wget-options 'options'
    Specify additional command-line options to be passed to curl, rsync or wget when retrieving files. If several options are to be passed, separate them with spaces and enclose them in quotes.

    Note that the rsync options will also be used for ssh media.

--proxy proxyhost[:port|1080]
    Use specified HTTP proxy.

--proxy-user user:password
    Use specified user and password to use for proxy authentication. Specifying --proxy-user=ask will cause urpmq to prompt for a username and a password.

  Debugging Options

--env directory
    Use a different environment directly from a bug report to replay a bug. The argument is the same argument given to --bug option.

FILES
See urpmi.files(5).

SEE ALSO
urpmi.addmedia(8), urpmi.update(8), urpmi.removemedia(8), urpmf(8), urpmi(8), urpmi.files(5).

AUTHOR
Pascal Rigaux <pixel@mandriva.com> (original author and current maintainer), François Pons, Rafael Garcia-Suarez